Bug 285341 - crash with python 2.5
crash with python 2.5
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-vorbis (Show other bugs)
7
All Linux
medium Severity high
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-10 19:00 EDT by Paolo Patruno
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 1.5-0.1.a
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-25 04:32:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
pyvorbis-1.5a patched for python 2.5 (1.63 KB, patch)
2007-09-10 19:00 EDT, Paolo Patruno
no flags Details | Diff

  None (edit)
Description Paolo Patruno 2007-09-10 19:00:52 EDT
Description of problem:
crash with python 2.5


Version-Release number of selected component (if applicable):
python-2.5-12.fc7
python-1.4-1.fc7   

How reproducible:
import ogg.vorbis
vf = ogg.vorbis.VorbisFile("tmp.ogg")
print vf.comment()

Actual results:
<VorbisComment>
*** glibc detected *** python: free(): invalid pointer: 0xb7f77548 ***
======= Backtrace: =========
/lib/libc.so.6[0x4268cdf1]
/lib/libc.so.6(cfree+0x90)[0x42690430]
/usr/lib/python2.5/site-packages/ogg/vorbis.so[0x11c0c6]
/usr/lib/libpython2.5.so.1.0(PyEval_EvalFrameEx+0x45bd)[0x43bd7ecd]
/usr/lib/libpython2.5.so.1.0(PyEval_EvalCodeEx+0x7ef)[0x43bdab2f]
/usr/lib/libpython2.5.so.1.0(PyEval_EvalCode+0x63)[0x43bdabb3]
/usr/lib/libpython2.5.so.1.0[0x43bf45d6]
/usr/lib/libpython2.5.so.1.0(PyRun_FileExFlags+0x8e)[0x43bf468e]
/usr/lib/libpython2.5.so.1.0(PyRun_SimpleFileExFlags+0x198)[0x43bf5d48]
/usr/lib/libpython2.5.so.1.0(PyRun_AnyFileExFlags+0x7a)[0x43bf64aa]
/usr/lib/libpython2.5.so.1.0(Py_Main+0xa0d)[0x43bfff3d]
python(main+0x32)[0x8048582]
/lib/libc.so.6(__libc_start_main+0xe0)[0x4263af70]
python[0x80484c1]
======= Memory map: ========
00110000-00111000 r-xp 00110000 00:00 0          [vdso]
00111000-00116000 r-xp 00000000 fd:00 491863    
/usr/lib/python2.5/site-packages/ogg/_ogg.so
00116000-00117000 rwxp 00005000 fd:00 491863    
/usr/lib/python2.5/site-packages/ogg/_ogg.so
00117000-00121000 r-xp 00000000 fd:00 491855    
/usr/lib/python2.5/site-packages/ogg/vorbis.so
00121000-00123000 rwxp 0000a000 fd:00 491855    
/usr/lib/python2.5/site-packages/ogg/vorbis.so
00246000-00251000 r-xp 00000000 fd:00 330308     /usr/lib/libvorbisenc.so.2.0.2
00251000-0033f000 rwxp 0000b000 fd:00 330308     /usr/lib/libvorbisenc.so.2.0.2
0034a000-00351000 r-xp 00000000 fd:00 330304     /usr/lib/libvorbisfile.so.3.1.1
00351000-00352000 rwxp 00006000 fd:00 330304     /usr/lib/libvorbisfile.so.3.1.1
003b6000-003d2000 r-xp 00000000 fd:00 333944     /usr/lib/libvorbis.so.0.3.1
003d2000-003e0000 rwxp 0001c000 fd:00 333944     /usr/lib/libvorbis.so.0.3.1
08048000-08049000 r-xp 00000000 fd:00 335655     /usr/bin/python
08049000-0804a000 rwxp 00000000 fd:00 335655     /usr/bin/python
09378000-093fd000 rwxp 09378000 00:00 0 
42606000-42621000 r-xp 00000000 fd:00 508294     /lib/ld-2.6.so
42621000-42622000 r-xp 0001a000 fd:00 508294     /lib/ld-2.6.so
42622000-42623000 rwxp 0001b000 fd:00 508294     /lib/ld-2.6.so
42625000-42773000 r-xp 00000000 fd:00 2408450    /lib/libc-2.6.so
42773000-42775000 r-xp 0014e000 fd:00 2408450    /lib/libc-2.6.so
42775000-42776000 rwxp 00150000 fd:00 2408450    /lib/libc-2.6.so
42776000-42779000 rwxp 42776000 00:00 0 
4277b000-427a2000 r-xp 00000000 fd:00 2899979    /lib/libm-2.6.so
427a2000-427a3000 r-xp 00026000 fd:00 2899979    /lib/libm-2.6.so
427a3000-427a4000 rwxp 00027000 fd:00 2899979    /lib/libm-2.6.so
427a6000-427a9000 r-xp 00000000 fd:00 2441347    /lib/libdl-2.6.so
427a9000-427aa000 r-xp 00002000 fd:00 2441347    /lib/libdl-2.6.so
427aa000-427ab000 rwxp 00003000 fd:00 2441347    /lib/libdl-2.6.so
427c2000-427d6000 r-xp 00000000 fd:00 508296     /lib/libpthread-2.6.so
427d6000-427d7000 r-xp 00013000 fd:00 508296     /lib/libpthread-2.6.so
427d7000-427d8000 rwxp 00014000 fd:00 508296     /lib/libpthread-2.6.so
427d8000-427da000 rwxp 427d8000 00:00 0 
42b24000-42b2f000 r-xp 00000000 fd:00 2900111    /lib/libgcc_s-4.1.2-20070503.so.1
42b2f000-42b30000 rwxp 0000a000 fd:00 2900111    /lib/libgcc_s-4.1.2-20070503.so.1
431f2000-431f7000 r-xp 00000000 fd:00 246308     /usr/lib/libogg.so.0.5.3
431f7000-431f8000 rwxp 00004000 fd:00 246308     /usr/lib/libogg.so.0.5.3
4320c000-4320e000 r-xp 00000000 fd:00 508412     /lib/libutil-2.6.so
4320e000-4320f000 r-xp 00001000 fd:00 508412     /lib/libutil-2.6.so
4320f000-43210000 rwxp 00002000 fd:00 508412     /lib/libutil-2.6.so
43b38000-43c50000 r-xp 00000000 fd:00 333538     /usr/lib/libpython2.5.so.1.0
43c50000-43c76000 rwxp 00117000 fd:00 333538     /usr/lib/libpython2.5.so.1.0
43c76000-43c7c000 rwxp 43c76000 00:00 0 
b7c00000-b7c21000 rw-p b7c00000 00:00 0 
b7c21000-b7d00000 ---p b7c21000 00:00 0 
b7d32000-b7d34000 rw-p b7d32000 00:00 0 
b7d34000-b7d35000 r--p 00d02000 fd:00 329321     /usr/lib/locale/locale-archive
b7d35000-b7f35000 r--p 00000000 fd:00 329321     /usr/lib/locale/locale-archive
b7f35000-b7fba000 rw-p b7f35000 00:00 0 
bfd3b000-bfd51000 rw-p bfd3b000 00:00 0   Abortito
[pat1@localhost tmp]$ python prova.py 
<VorbisComment>
*** glibc detected *** python: free(): invalid pointer: 0xb7f6d548 ***
======= Backtrace: =========
/lib/libc.so.6[0x4268cdf1]
/lib/libc.so.6(cfree+0x90)[0x42690430]
/usr/lib/python2.5/site-packages/ogg/vorbis.so[0x11c0c6]
/usr/lib/libpython2.5.so.1.0(PyEval_EvalFrameEx+0x45bd)[0x43bd7ecd]
/usr/lib/libpython2.5.so.1.0(PyEval_EvalCodeEx+0x7ef)[0x43bdab2f]
/usr/lib/libpython2.5.so.1.0(PyEval_EvalCode+0x63)[0x43bdabb3]
/usr/lib/libpython2.5.so.1.0[0x43bf45d6]
/usr/lib/libpython2.5.so.1.0(PyRun_FileExFlags+0x8e)[0x43bf468e]
/usr/lib/libpython2.5.so.1.0(PyRun_SimpleFileExFlags+0x198)[0x43bf5d48]
/usr/lib/libpython2.5.so.1.0(PyRun_AnyFileExFlags+0x7a)[0x43bf64aa]
/usr/lib/libpython2.5.so.1.0(Py_Main+0xa0d)[0x43bfff3d]
python(main+0x32)[0x8048582]
/lib/libc.so.6(__libc_start_main+0xe0)[0x4263af70]
python[0x80484c1]
======= Memory map: ========
00110000-00111000 r-xp 00110000 00:00 0          [vdso]
00111000-00116000 r-xp 00000000 fd:00 491863    
/usr/lib/python2.5/site-packages/ogg/_ogg.so
00116000-00117000 rwxp 00005000 fd:00 491863    
/usr/lib/python2.5/site-packages/ogg/_ogg.so
00117000-00121000 r-xp 00000000 fd:00 491855    
/usr/lib/python2.5/site-packages/ogg/vorbis.so
00121000-00123000 rwxp 0000a000 fd:00 491855    
/usr/lib/python2.5/site-packages/ogg/vorbis.so
00246000-00251000 r-xp 00000000 fd:00 330308     /usr/lib/libvorbisenc.so.2.0.2
00251000-0033f000 rwxp 0000b000 fd:00 330308     /usr/lib/libvorbisenc.so.2.0.2
0034a000-00351000 r-xp 00000000 fd:00 330304     /usr/lib/libvorbisfile.so.3.1.1
00351000-00352000 rwxp 00006000 fd:00 330304     /usr/lib/libvorbisfile.so.3.1.1
003b6000-003d2000 r-xp 00000000 fd:00 333944     /usr/lib/libvorbis.so.0.3.1
003d2000-003e0000 rwxp 0001c000 fd:00 333944     /usr/lib/libvorbis.so.0.3.1
08048000-08049000 r-xp 00000000 fd:00 335655     /usr/bin/python
08049000-0804a000 rwxp 00000000 fd:00 335655     /usr/bin/python
09782000-09807000 rwxp 09782000 00:00 0 
42606000-42621000 r-xp 00000000 fd:00 508294     /lib/ld-2.6.so
42621000-42622000 r-xp 0001a000 fd:00 508294     /lib/ld-2.6.so
42622000-42623000 rwxp 0001b000 fd:00 508294     /lib/ld-2.6.so
42625000-42773000 r-xp 00000000 fd:00 2408450    /lib/libc-2.6.so
42773000-42775000 r-xp 0014e000 fd:00 2408450    /lib/libc-2.6.so
42775000-42776000 rwxp 00150000 fd:00 2408450    /lib/libc-2.6.so
42776000-42779000 rwxp 42776000 00:00 0 
4277b000-427a2000 r-xp 00000000 fd:00 2899979    /lib/libm-2.6.so
427a2000-427a3000 r-xp 00026000 fd:00 2899979    /lib/libm-2.6.so
427a3000-427a4000 rwxp 00027000 fd:00 2899979    /lib/libm-2.6.so
427a6000-427a9000 r-xp 00000000 fd:00 2441347    /lib/libdl-2.6.so
427a9000-427aa000 r-xp 00002000 fd:00 2441347    /lib/libdl-2.6.so
427aa000-427ab000 rwxp 00003000 fd:00 2441347    /lib/libdl-2.6.so
427c2000-427d6000 r-xp 00000000 fd:00 508296     /lib/libpthread-2.6.so
427d6000-427d7000 r-xp 00013000 fd:00 508296     /lib/libpthread-2.6.so
427d7000-427d8000 rwxp 00014000 fd:00 508296     /lib/libpthread-2.6.so
427d8000-427da000 rwxp 427d8000 00:00 0 
42b24000-42b2f000 r-xp 00000000 fd:00 2900111    /lib/libgcc_s-4.1.2-20070503.so.1
42b2f000-42b30000 rwxp 0000a000 fd:00 2900111    /lib/libgcc_s-4.1.2-20070503.so.1
431f2000-431f7000 r-xp 00000000 fd:00 246308     /usr/lib/libogg.so.0.5.3
431f7000-431f8000 rwxp 00004000 fd:00 246308     /usr/lib/libogg.so.0.5.3
4320c000-4320e000 r-xp 00000000 fd:00 508412     /lib/libutil-2.6.so
4320e000-4320f000 r-xp 00001000 fd:00 508412     /lib/libutil-2.6.so
4320f000-43210000 rwxp 00002000 fd:00 508412     /lib/libutil-2.6.so
43b38000-43c50000 r-xp 00000000 fd:00 333538     /usr/lib/libpython2.5.so.1.0
43c50000-43c76000 rwxp 00117000 fd:00 333538     /usr/lib/libpython2.5.so.1.0
43c76000-43c7c000 rwxp 43c76000 00:00 0 
b7c00000-b7c21000 rw-p b7c00000 00:00 0 
b7c21000-b7d00000 ---p b7c21000 00:00 0 
b7d28000-b7d2a000 rw-p b7d28000 00:00 0 
b7d2a000-b7d2b000 r--p 00d02000 fd:00 329321     /usr/lib/locale/locale-archive
b7d2b000-b7f2b000 r--p 00000000 fd:00 329321     /usr/lib/locale/locale-archive
b7f2b000-b7fb0000 rw-p b7f2b000 00:00 0 
bfa33000-bfa49000 rw-p bfa33000 00:00 0          [stack]
Abortito


Expected results:

<VorbisComment>


Additional info:
This is a know bug:
http://qa.mandriva.com/show_bug.cgi?id=28202
http://groups.google.com/group/pyogg/browse_thread/thread/2a420afd29607b7e

I suggest to use http://ekyo.nerim.net/software/pyogg/pyvorbis-1.5a.tar.gz
and the attached patch. In my case this solved the problem.
Comment 1 Paolo Patruno 2007-09-10 19:00:52 EDT
Created attachment 192181 [details]
pyvorbis-1.5a patched for python 2.5
Comment 2 Matthias Saou 2007-09-12 07:11:23 EDT
I've rebuilt 1.5a+patch and requested to have it pushed to updates-testing.
You can try the packages right now if you want :
http://koji.fedoraproject.org/packages/python-vorbis/1.5/0.1.a/
Comment 3 Fedora Update System 2007-09-12 12:42:38 EDT
python-vorbis-1.5-0.1.a has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2007-09-25 04:32:13 EDT
python-vorbis-1.5-0.1.a has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.